###################################################
### chunk number 1: beforepkgs
###################################################
#line 11 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
#line 14 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
library(Zelig)


###################################################
### chunk number 3: Example.data
###################################################
#line 165 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
data(coalition)


###################################################
### chunk number 4: Example.zelig
###################################################
#line 169 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
z.out1 <- zelig(Surv(duration, ciep12) ~ invest + numst2 + crisis, robust = TRUE, cluster = "polar", model = "coxph", data = coalition)


###################################################
### chunk number 5: Example.setx
###################################################
#line 173 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
x.low1<- setx(z.out1, numst2 = 0)
x.high1 <- setx(z.out1, numst2 = 1)


###################################################
### chunk number 6: Example.sim
###################################################
#line 178 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
s.out1 <- sim(z.out1, x = x.low1, x1 = x.high1)


###################################################
### chunk number 7: Example.summary.sim
###################################################
#line 181 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
summary(s.out1)


###################################################
### chunk number 8: ExamplePlot
###################################################
#line 185 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
plot(s.out1)


###################################################
### chunk number 9: Example2.zelig
###################################################
#line 193 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
z.out2 <- zelig(Surv(duration, ciep12) ~ invest + strata(polar) + numst2 + crisis, model = "coxph", data = coalition)


###################################################
### chunk number 10: Example2.setx
###################################################
#line 197 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
x.low2 <- setx(z.out2, numst2 = 0, strata = "polar=3")
x.high2 <- setx(z.out2, numst2 = 1, strata = "polar=3")


###################################################
### chunk number 11: Example2.sim
###################################################
#line 202 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
s.out2 <- sim(z.out2, x = x.low2, x1 = x.high2)


###################################################
### chunk number 12: Example2.summary.sim
###################################################
#line 205 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
summary(s.out2)


###################################################
### chunk number 13: ExamplePlot2
###################################################
#line 209 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
plot(s.out2)


###################################################
### chunk number 14: Example3.data
###################################################
#line 217 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
toy <- as.data.frame(list(start=c(1, 2, 5, 2, 1, 7, 3, 4, 8, 8),
            stop=c(2, 3, 6, 7, 8, 9, 9, 9,14,17),
            event=c(1, 1, 1, 1, 1, 1, 1, 0, 0, 0),
            x=c(1, 0, 0, 1, 0, 1, 1, 1, 0, 0),
	    x1=c(5, 5, 7, 4, 5, 6, 3, 2, 7, 4) ))


###################################################
### chunk number 15: Example3.zelig
###################################################
#line 225 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
z.out3 <- zelig(Surv(start, stop, event) ~ x + x1, model = "coxph", data = toy)


###################################################
### chunk number 16: Example3.setx
###################################################
#line 229 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
x.low3 <- setx(z.out3, x = 0)
x.high3 <- setx(z.out3, x = 1)


###################################################
### chunk number 17: Example3.sim
###################################################
#line 234 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
s.out3 <- sim(z.out3, x = x.low3, x1 = x.high3)


###################################################
### chunk number 18: Example3.summary.sim
###################################################
#line 237 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
summary(s.out3)


###################################################
### chunk number 19: ExamplePlot3
###################################################
#line 241 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
plot(s.out3)


###################################################
### chunk number 20: afterpkgs
###################################################
#line 407 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/coxph.Rnw"
 after<-search()
 torm<-setdiff(after,before)
 for (pkg in torm)
 detach(pos=match(pkg,search()))


