###################################################
### chunk number 1: beforepkgs
###################################################
#line 10 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
#line 14 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
library(Zelig)
library(survey) 


###################################################
### chunk number 3: Existing.data
###################################################
#line 201 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
data(api, package="survey") 


###################################################
### chunk number 4: Existing.zelig
###################################################
#line 213 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
z.out1 <- zelig(api00 ~ meals + yr.rnd, model = "gamma.survey",  
weights=~pw, data = apistrat)


###################################################
### chunk number 5: Existing.summary
###################################################
#line 218 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
 summary(z.out1)


###################################################
### chunk number 6: Existing.setx
###################################################
#line 224 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
x.low <- setx(z.out1, meals=quantile(apistrat$meals, 0.2)) 
x.high <- setx(z.out1, meals=quantile(apistrat$meals, 0.8)) 


###################################################
### chunk number 7: Existing.sim
###################################################
#line 231 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
 s.out1 <- sim(z.out1, x = x.high, x1 = x.low)


###################################################
### chunk number 8: Existing.summary.sim
###################################################
#line 234 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
 summary(s.out1)


###################################################
### chunk number 9: ExistingPlot
###################################################
#line 239 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
 plot(s.out1)


###################################################
### chunk number 10: Complex.zelig
###################################################
#line 263 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
z.out2 <- zelig(api00 ~ meals + yr.rnd, model = "gamma.survey", strata=~stype, fpc=~fpc, data = apistrat)


###################################################
### chunk number 11: Complex.output
###################################################
#line 267 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
summary(z.out2) 


###################################################
### chunk number 12: Replicate.rw
###################################################
#line 291 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
jk1reps <- jk1weights(psu=apistrat$dnum)


###################################################
### chunk number 13: Replicate.zelig
###################################################
#line 297 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
z.out3 <- zelig(api00 ~ meals + yr.rnd, model = "gamma.survey", data = apistrat, 
repweights=jk1reps$weights, type="JK1") 


###################################################
### chunk number 14: Replicate.summary
###################################################
#line 302 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
 summary(z.out3)


###################################################
### chunk number 15: Replicate.setx
###################################################
#line 306 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
x.low <- setx(z.out3, meals= quantile(apistrat$meals, 0.2))
x.high <- setx(z.out3, meals= quantile(apistrat$meals, 0.8))


###################################################
### chunk number 16: Replicate.sim
###################################################
#line 313 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
s.out3 <- sim(z.out3, x=x.high, x1=x.low)


###################################################
### chunk number 17: Replicate.summary.sim
###################################################
#line 316 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
 summary(s.out3)


###################################################
### chunk number 18: ReplicatePlot
###################################################
#line 321 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
 plot(s.out3)


###################################################
### chunk number 19: afterpkgs
###################################################
#line 496 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/gamma.survey.Rnw"
  after<-search()
  torm<-setdiff(after,before)
  for (pkg in torm)
  detach(pos=match(pkg,search()))


