###################################################
### chunk number 1: beforepkgs
###################################################
#line 10 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
#line 14 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
library(Zelig)
library(survey) 


###################################################
### chunk number 3: Existing.data
###################################################
#line 203 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
data(api, package="survey") 


###################################################
### chunk number 4: Existing.zelig
###################################################
#line 213 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
z.out1 <- zelig(enroll ~ api99 + yr.rnd , model = "poisson.survey", 
weights=~pw, data = apistrat)


###################################################
### chunk number 5: Existing.summary
###################################################
#line 218 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
 summary(z.out1)


###################################################
### chunk number 6: Existing.setx
###################################################
#line 224 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
x.low <- setx(z.out1, api99= quantile(apistrat$api99, 0.2))
x.high <- setx(z.out1, api99= quantile(apistrat$api99, 0.8))


###################################################
### chunk number 7: Existing.sim
###################################################
#line 231 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
s.out1 <- sim(z.out1, x=x.low, x1=x.high)


###################################################
### chunk number 8: Existing.summary.sim
###################################################
#line 234 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
 summary(s.out1)


###################################################
### chunk number 9: ExistingPlot
###################################################
#line 239 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
 plot(s.out1)


###################################################
### chunk number 10: Complex.zelig
###################################################
#line 263 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
z.out2 <- zelig(enroll ~ api99 + yr.rnd , model = "poisson.survey", data = apistrat, 
  strata=~stype, fpc=~fpc)


###################################################
### chunk number 11: Complex.output
###################################################
#line 268 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
summary(z.out2) 


###################################################
### chunk number 12: Replicate.data
###################################################
#line 288 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
data(scd, package="survey") 


###################################################
### chunk number 13: Replicate.rw
###################################################
#line 297 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
BRRrep<-2*cbind(c(1,0,1,0,1,0),c(1,0,0,1,0,1), c(0,1,1,0,0,1),c(0,1,0,1,1,0)) 


###################################################
### chunk number 14: Replicate.zelig
###################################################
#line 303 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
z.out3 <- zelig(alive ~ arrests , model = "poisson.survey",
repweights=BRRrep, type="BRR", data=scd)
summary(z.out3) 


###################################################
### chunk number 15: Replicate.summary
###################################################
#line 309 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
 summary(z.out3)


###################################################
### chunk number 16: Replicate.setx
###################################################
#line 313 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
x.low <- setx(z.out3, arrests = quantile(scd$arrests, .2))
x.high <- setx(z.out3, arrests = quantile(scd$arrests,.8)) 


###################################################
### chunk number 17: Replicate.sim
###################################################
#line 320 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
s.out3 <- sim(z.out3, x=x.high, x1=x.low)


###################################################
### chunk number 18: Replicate.summary.sim
###################################################
#line 323 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
 summary(s.out3)


###################################################
### chunk number 19: ReplicatePlot
###################################################
#line 328 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
 plot(s.out3)


###################################################
### chunk number 20: afterpkgs
###################################################
#line 507 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/poisson.survey.Rnw"
  after<-search()
  torm<-setdiff(after,before)
  for (pkg in torm)
  detach(pos=match(pkg,search()))


