###################################################
### chunk number 1: beforepkgs
###################################################
#line 11 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
#line 14 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
library(Zelig)


###################################################
### chunk number 3: Example.data
###################################################
#line 137 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
data(turnout)


###################################################
### chunk number 4: Example.cluster
###################################################
#line 141 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
turnout$cluster <- rep(c(1:200),10)


###################################################
### chunk number 5: Example.sort
###################################################
#line 145 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
sorted.turnout <- turnout[order(turnout$cluster),]


###################################################
### chunk number 6: Example.zelig
###################################################
#line 149 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
z.out1 <- zelig(vote ~ race + educate, model = "probit.gee", id = "cluster", data = sorted.turnout, robust = TRUE, corstr = "stat_M_dep", Mv=3)


###################################################
### chunk number 7: Example.setx
###################################################
#line 153 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
x.out1 <- setx(z.out1)


###################################################
### chunk number 8: Example.sim
###################################################
#line 157 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
s.out1 <- sim(z.out1, x = x.out1)


###################################################
### chunk number 9: Example.summary.sim
###################################################
#line 160 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
summary(s.out1)


###################################################
### chunk number 10: ExamplePlot
###################################################
#line 164 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
plot(s.out1)


###################################################
### chunk number 11: 
###################################################
#line 169 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
options(width=80)


###################################################
### chunk number 12: FirstDifference.setx
###################################################
#line 179 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
x.high <- setx(z.out1, educate = quantile(turnout$educate, prob = 0.75))
x.low <- setx(z.out1, educate = quantile(turnout$educate, prob = 0.25))


###################################################
### chunk number 13: FirstDifference.sim
###################################################
#line 184 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
s.out2 <- sim(z.out1, x = x.high, x1 = x.low)


###################################################
### chunk number 14: FirstDifference.summary.sim
###################################################
#line 187 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
summary(s.out2)


###################################################
### chunk number 15: FirstDifferencePlot
###################################################
#line 191 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
plot(s.out2)


###################################################
### chunk number 16: 
###################################################
#line 196 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
options(width=75)


###################################################
### chunk number 17: Example2.corr
###################################################
#line 203 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
corr.mat <- matrix(rep(0.5,100), nrow=10, ncol=10)
diag(corr.mat) <- 1


###################################################
### chunk number 18: Example2.zelig
###################################################
#line 208 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
z.out2 <- zelig(vote ~ race + educate, model = "probit.gee", id = "cluster", data = sorted.turnout, robust = TRUE, corstr = "fixed", R=corr.mat)


###################################################
### chunk number 19: Example2.summary
###################################################
#line 212 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
summary(z.out2)


###################################################
### chunk number 20: afterpkgs
###################################################
#line 350 "/work/a/ports/math/R-cran-Zelig/work/Zelig/inst/doc/probit.gee.Rnw"
 after<-search()
 torm<-setdiff(after,before)
 for (pkg in torm)
 detach(pos=match(pkg,search()))


